.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisibilityNotifier.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisibilityNotifier:

VisibilityNotifier
==================

**Inherits:** :ref:`Spatial<class_spatial>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Inherited By:** :ref:`VisibilityEnabler<class_visibilityenabler>`

**Category:** Core

Brief Description
-----------------

Detects when the node is visible on screen.

Member Functions
----------------

+--------------------------+------------------------------------------------------------------------------+
| :ref:`bool<class_bool>`  | :ref:`is_on_screen<class_VisibilityNotifier_is_on_screen>` **(** **)** const |
+--------------------------+------------------------------------------------------------------------------+

Signals
-------

.. _class_VisibilityNotifier_camera_entered:

- **camera_entered** **(** :ref:`Object<class_object>` camera **)**

Emitted when the VisibilityNotifier enters a :ref:`Camera<class_camera>`'s view.

.. _class_VisibilityNotifier_camera_exited:

- **camera_exited** **(** :ref:`Object<class_object>` camera **)**

Emitted when the VisibilityNotifier exits a :ref:`Camera<class_camera>`'s view.

.. _class_VisibilityNotifier_screen_entered:

- **screen_entered** **(** **)**

Emitted when the VisibilityNotifier enters the screen.

.. _class_VisibilityNotifier_screen_exited:

- **screen_exited** **(** **)**

Emitted when the VisibilityNotifier exits the screen.


Member Variables
----------------

  .. _class_VisibilityNotifier_aabb:

- :ref:`AABB<class_aabb>` **aabb** - The VisibilityNotifier's bounding box.


Description
-----------

The VisibilityNotifier detects when it is visible on the screen. It also notifies when its bounding rectangle enters or exits the screen or a :ref:`Camera<class_camera>`'s view.

Member Function Description
---------------------------

.. _class_VisibilityNotifier_is_on_screen:

- :ref:`bool<class_bool>` **is_on_screen** **(** **)** const

If ``true`` the bounding box is on the screen.


